import java.util.Random;

public class RegularDie implements Die {
    
    private final Random rand = new Random();
    
    private int top;
    
    public RegularDie() {
        this.roll();
    }
    
    public void roll() {
        top = rand.nextInt(6) + 1;
    }
    
    public int getNumShowing() {
        return top;
    }
    
}